Bug 861880 - Confusing warning message when reporting a problem
Confusing warning message when reporting a problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 04:56 EDT by Iveta Wiedermann
Modified: 2014-02-05 18:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:22:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the abrt gui (144.95 KB, image/png)
2012-10-01 04:56 EDT, Iveta Wiedermann
no flags Details
Warning on page with no tabs (1.70 MB, image/png)
2012-10-01 09:39 EDT, Branislav Náter
no flags Details

  None (edit)
Description Iveta Wiedermann 2012-10-01 04:56:31 EDT
Created attachment 619677 [details]
Screenshot of the abrt gui

Description of problem:
When reporting a problem in abrt gui on one screen user should review the data before it gets reported. There are several tabs with information and on the bottom is warning: Possible sensitive data detected, please review the highlighted tabs carefully. In this case no tabs are highlited in any way. If the warning message is general and should be placed there everytime, then the message should be probably restructured to something like this: The report may include possible sensitive data, please review the tabs.
See attached screenshot.

Version-Release number of selected component (if applicable):
abrt-gui-2.0.13-1.fc18.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Crash some application with pkill -SIGSEGV application_name
2. Report the problem with abrt
3. Get to the screen with tabs and warning message
  
Actual results:
No tabs are highlighted and warning message says it should be

Expected results:
Restructured text of the warning or show this message only when some tabs are higlighted

Additional info:
Comment 1 Jakub Filak 2012-10-01 06:19:02 EDT
Thank you for filling this report.

It is a bug in a code responsible for highlighting of forbidden words. The text is not visible if no tab is highlighted (no forbidden word is found). That means that the highlighting of tabs was lost somehow.
Comment 2 Branislav Náter 2012-10-01 09:39:44 EDT
Created attachment 619792 [details]
Warning on page with no tabs
Comment 3 Branislav Náter 2012-10-01 09:42:11 EDT
Just note to previous attachment. Warning message "...review the highlighted tabs..." is also displayed on dialog with no tabs.
Comment 4 Jakub Filak 2012-10-03 13:41:52 EDT
A commit for Branislav's part:
commit b6ab47db3c84ed84c0be119c99c6e41e157b28e0
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Oct 2 21:13:58 2012 +0200

    clear warnings after switching to a next page
    
    - a part of rhbz#861880
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>

A commit for Iveta's part:
commit 0977564a4a5f9aa3be07a0f470d2f10755b8eef1
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Oct 3 19:21:27 2012 +0200

    update GUI before highlighting of forbidden words
    
    - GUI was updated after highlighting of forbidden words and this update
      cleared the highlighting
    - fixes rhbz#861880
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 5 Fedora Update System 2012-10-05 06:47:45 EDT
abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
Comment 6 Fedora Update System 2012-10-05 23:48:31 EDT
Package abrt-2.0.14-1.fc17, libreport-2.0.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.14-1.fc17 libreport-2.0.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-1.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-07 22:26:23 EDT
Package libreport-2.0.15-1.fc17, abrt-2.0.14-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.15-1.fc17 abrt-2.0.14-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15498/abrt-2.0.14-2.fc17,libreport-2.0.15-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-02-05 08:39:14 EST
abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.0-1.fc17,libreport-2.1.0-2.fc17
Comment 9 Fedora Update System 2013-03-20 04:43:34 EDT
abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.1.2-1.fc17,libreport-2.1.2-1.fc17
Comment 10 Fedora End Of Life 2013-12-21 10:49:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 18:22:32 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.